<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
    mi-boton, mi-boton-2{
        color: red;
        padding: 10px;
        border: 5px solid green;
        border-radius: 20px;
    }
    </style>
</head>
<body>

    <script>
    class MiBoton extends HTMLElement {
        constructor() {
            super();
            this.addEventListener('click', function(e){
                alert('hola');
            });
        }
    }

    customElements.define('mi-boton',MiBoton);

    customElements.define('mi-boton-2',class extends HTMLElement {
        constructor() {
            super();
            this.addEventListener('click', function(e){
                alert('hola soy el boton 2');
            });
        }
    });
    </script>

   <mi-boton>Este es mi-boton</mi-boton>
   <mi-boton-2>Hola soy el 2</mi-boton-2>
</body>
</html>